aboutsummaryrefslogtreecommitdiff
path: root/deploy/jazzer-api_artifact_test.sh
diff options
context:
space:
mode:
authorMark <mteffeteller@google.com>2023-06-22 00:14:58 +0000
committerAutomerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>2023-06-22 00:14:58 +0000
commitf1ff6ce482549c51088d0a4b011d676904ad2506 (patch)
tree68cf332a40b94b2d28b256b19b916f99220bb0c4 /deploy/jazzer-api_artifact_test.sh
parentba37c2e361c2ba91bacc47fcae5383c52e50f6be (diff)
parent54819157eaa66e14f2c68b54609bd6bfa360b708 (diff)
downloadjazzer-api-f1ff6ce482549c51088d0a4b011d676904ad2506.tar.gz
Sync jazzer in AOSP with upstream repo (new SHA: 30decf81a147c66fa5a098072c38ab6924ba0aa6) am: 9350e0ab03 am: 99d9a79746 am: 34a8e5c8aa am: e73be1680d am: 54819157ea
Original change: https://android-review.googlesource.com/c/platform/external/jazzer-api/+/2627336 Change-Id: I05945a00c711fa8bf699188ba244d92a77bb81be Signed-off-by: Automerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>
Diffstat (limited to 'deploy/jazzer-api_artifact_test.sh')
-rwxr-xr-xdeploy/jazzer-api_artifact_test.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/deploy/jazzer-api_artifact_test.sh b/deploy/jazzer-api_artifact_test.sh
new file mode 100755
index 00000000..b71c7d02
--- /dev/null
+++ b/deploy/jazzer-api_artifact_test.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env sh
+# Copyright 2022 Code Intelligence GmbH
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+[ -f "$1" ] || exit 1
+# List all files in the jar and exclude an allowed list of files.
+# Since grep fails if there is no match, ! ... | grep ... fails if there is a
+# match.
+! external/local_jdk/bin/jar tf "$1" | \
+ grep -v \
+ -e '^com/$' \
+ -e '^com/code_intelligence/$' \
+ -e '^com/code_intelligence/jazzer/$' \
+ -e '^com/code_intelligence/jazzer/api/' \
+ -e '^jaz/' \
+ -e '^META-INF/$' \
+ -e '^META-INF/MANIFEST.MF$'